Skip to content
Browse files

0.4.6: better compatibility with 1.8.6

  • Loading branch information...
1 parent 8c40f7d commit 4fa80b582da0a97f5b0cd44a9928bd7bed969ba8 @cowboyd cowboyd committed
Showing with 7 additions and 8 deletions.
  1. +1 −0 Manifest.txt
  2. +2 −4 README.rdoc
  3. +1 −1 lib/v8.rb
  4. +3 −3 therubyracer.gemspec
View
1 Manifest.txt
@@ -45,6 +45,7 @@ spec/ext/cxt_spec.rb
spec/ext/obj_spec.rb
spec/redjs/README.txt
spec/redjs/jsapi_spec.rb
+spec/redjs/tap.rb
spec/redjs_helper.rb
spec/spec.opts
spec/spec_helper.rb
View
6 README.rdoc
@@ -126,10 +126,8 @@ exposed by default. E.g.
== INSTALL:
* download and build V8: http://code.google.com/apis/v8/build.html
* Be sure to build it as a static library and with the same architecture as your ruby executable. e.g.
- scons library=static arch=x64
-* sudo gem install therubyracer
-* If you did not install V8 to the standard lib and include path you will need to set the V8_HOME environment variable when installing. e.g.
- V8_HOME=/path/to/my/built/v8/source gem install therubyracer
+* scons library=static arch=x64
+* sudo gem install therubyracer --with-v8-include=/path/to/v8/source/include --with-v8-lib=/path/to/v8/source
== LICENSE:
View
2 lib/v8.rb
@@ -2,7 +2,7 @@
$:.include?(File.dirname(__FILE__)) || $:.include?(File.expand_path(File.dirname(__FILE__)))
module V8
- VERSION = '0.4.5'
+ VERSION = '0.4.6'
require 'v8/v8' #native glue
require 'v8/to'
require 'v8/context'
View
6 therubyracer.gemspec
@@ -2,16 +2,16 @@
Gem::Specification.new do |s|
s.name = %q{therubyracer}
- s.version = "0.4.5"
+ s.version = "0.4.6"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Charles Lowell", "Bill Robertson"]
- s.date = %q{2010-01-18}
+ s.date = %q{2010-01-26}
s.description = %q{Embed the V8 Javascript interpreter into Ruby.}
s.email = ["cowboyd@thefrontside.net", "billrobertson42@gmail.com"]
s.extensions = ["ext/v8/extconf.rb"]
s.extra_rdoc_files = ["History.txt", "Manifest.txt", "docs/data_conversion.txt"]
- s.files = ["Doxyfile", "History.txt", "Manifest.txt", "README.rdoc", "Rakefile", "docs/data_conversion.txt", "ext/v8/callbacks.cpp", "ext/v8/callbacks.h", "ext/v8/convert_ruby.cpp", "ext/v8/convert_ruby.h", "ext/v8/convert_string.cpp", "ext/v8/convert_string.h", "ext/v8/convert_v8.cpp", "ext/v8/convert_v8.h", "ext/v8/converters.cpp", "ext/v8/converters.h", "ext/v8/extconf.rb", "ext/v8/v8.cpp", "ext/v8/v8_cxt.cpp", "ext/v8/v8_cxt.h", "ext/v8/v8_func.cpp", "ext/v8/v8_func.h", "ext/v8/v8_msg.cpp", "ext/v8/v8_msg.h", "ext/v8/v8_obj.cpp", "ext/v8/v8_obj.h", "ext/v8/v8_ref.cpp", "ext/v8/v8_ref.h", "ext/v8/v8_script.cpp", "ext/v8/v8_script.h", "ext/v8/v8_standalone.cpp", "ext/v8/v8_standalone.h", "ext/v8/v8_str.cpp", "ext/v8/v8_str.h", "ext/v8/v8_template.cpp", "ext/v8/v8_template.h", "lib/v8.rb", "lib/v8/context.rb", "lib/v8/object.rb", "lib/v8/to.rb", "script/console", "script/destroy", "script/generate", "spec/ext/cxt_spec.rb", "spec/ext/obj_spec.rb", "spec/redjs/README.txt", "spec/redjs/jsapi_spec.rb", "spec/redjs_helper.rb", "spec/spec.opts", "spec/spec_helper.rb", "tasks/rspec.rake", "therubyracer.gemspec"]
+ s.files = ["Doxyfile", "History.txt", "Manifest.txt", "README.rdoc", "Rakefile", "docs/data_conversion.txt", "ext/v8/callbacks.cpp", "ext/v8/callbacks.h", "ext/v8/convert_ruby.cpp", "ext/v8/convert_ruby.h", "ext/v8/convert_string.cpp", "ext/v8/convert_string.h", "ext/v8/convert_v8.cpp", "ext/v8/convert_v8.h", "ext/v8/converters.cpp", "ext/v8/converters.h", "ext/v8/extconf.rb", "ext/v8/v8.cpp", "ext/v8/v8_cxt.cpp", "ext/v8/v8_cxt.h", "ext/v8/v8_func.cpp", "ext/v8/v8_func.h", "ext/v8/v8_msg.cpp", "ext/v8/v8_msg.h", "ext/v8/v8_obj.cpp", "ext/v8/v8_obj.h", "ext/v8/v8_ref.cpp", "ext/v8/v8_ref.h", "ext/v8/v8_script.cpp", "ext/v8/v8_script.h", "ext/v8/v8_standalone.cpp", "ext/v8/v8_standalone.h", "ext/v8/v8_str.cpp", "ext/v8/v8_str.h", "ext/v8/v8_template.cpp", "ext/v8/v8_template.h", "lib/v8.rb", "lib/v8/context.rb", "lib/v8/object.rb", "lib/v8/to.rb", "script/console", "script/destroy", "script/generate", "spec/ext/cxt_spec.rb", "spec/ext/obj_spec.rb", "spec/redjs/README.txt", "spec/redjs/jsapi_spec.rb", "spec/redjs_helper.rb", "spec/spec.opts", "spec/spec_helper.rb", "spec/v8/to_spec.rb", "tasks/rspec.rake", "therubyracer.gemspec"]
s.homepage = %q{http://github.com/cowboyd/therubyracer}
s.rdoc_options = ["--main", "README.rdoc"]
s.require_paths = ["lib", "ext"]

0 comments on commit 4fa80b5

Please sign in to comment.
Something went wrong with that request. Please try again.